{##########################################}
{#### lichtline GmbH ######################}
{#### it@lichtline.com ####################}
{##########################################}

:root{
    --product-slider-download-height: 62px;
}

{##########################################}
{#### CSS Code ############################}
{##########################################}

div.product-slider_wrapper {
    position: relative;
}

div.product-slider_swiper {
    margin-left: 3%;
    margin-right: 3%;
}

nav.product-slider-navigation {
    position: absolute;
    top: 40%;
    transform: translateY(-50%);
    z-index: 10;
    width: 100%;
    display: flex;
    justify-content: space-between;
    pointer-events: none;
}

.product-card_tags div.product-card_tag, 
.product-card_tags div.product-card_tag:active, 
.product-card_tags div.product-card_tag:focus, 
.product-card_tags div.product-card_tag:hover {
 margin: 2px;
 padding: 0px 5px;
 font-weight: 500;
 color: #fff;
 font-size: 10px;
}


div.prev-slide,
div.next-slide {
    position: relative;
    cursor: pointer;
    pointer-events: all;
}

div.next-slide {
    right: -15px;
}

div.prev-slide {
    left: -15px;
}

nav.product-slider-navigation svg{
    width: 50px;
    height: 50px;
}

img.product-slider_image {
    width: 100%;
    height: auto;
    object-fit: contain;
}

.product-slider_description {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

div.product-slider_tags {
    display: flex;
    position: absolute;
    top: 5px;
    left: 5px;
    z-index: 200;    
    flex-direction: column;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: center;
    align-content: center;
}

a.product-slider_tag{    
    margin: 5px;
    padding: 5px;
    text-align: left;
}

a.product-slider_tag:hover,
a.product-slider_tag:focus,
a.product-slider_tag:active {
    margin: 5px;
    padding: 5px;
    text-align: left;
}

figure.product-slider_figure {
    display: flex;
    flex-direction: column;    
    align-items: center;
    margin: 0;
}

a.product-slider-link{
    position: absolute;
    z-index: 100;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

div.product-slider_download_wrapper{
    cursor: pointer;
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-content: space-around;
    justify-content: center;
    right: 0;
    z-index: 200;
    width: var(--product-slider-download-height);
    height: var(--product-slider-download-height);
    font-size: 8px;
    font-weight: bold;
    background-color: #ccd4fd;
    color: #7f96fa;
    transition: all .3s ease;
}

div.product-slider_download_wrapper:hover,
div.product-slider_download_wrapper:active, 
div.product-slider_download_wrapper:focus {
    background-color: #7f96fa;

    div.product-slider_download-hover {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        color: white;

    }

    div.product-slider_download{
        display: none;
    }
}

div.product-slider_download {
    transition: all .3s ease;
}

div.product-slider_download-hover {
    display: none;    
    transition: all .3s ease;
}

